summaryrefslogtreecommitdiffstats
path: root/libraries/meanwhile
diff options
context:
space:
mode:
author B. Watson2022-04-20 05:57:17 +0200
committer B. Watson2022-04-20 05:57:17 +0200
commit62b670f969fc14ebacbd05d6a8f340d30a50551e (patch)
treea1e99cd32f2f52ed64312477b76ba1c70f7868ca /libraries/meanwhile
parentc05299cc914a5dedd5948a0743650491af702736 (diff)
downloadslackbuilds-62b670f969fc14ebacbd05d6a8f340d30a50551e.tar.gz
libraries/meanwhile: Fix docs.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'libraries/meanwhile')
-rw-r--r--libraries/meanwhile/meanwhile.SlackBuild27
1 files changed, 19 insertions, 8 deletions
diff --git a/libraries/meanwhile/meanwhile.SlackBuild b/libraries/meanwhile/meanwhile.SlackBuild
index c6d779381c..fbde8b6abf 100644
--- a/libraries/meanwhile/meanwhile.SlackBuild
+++ b/libraries/meanwhile/meanwhile.SlackBuild
@@ -22,11 +22,16 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220419 bkw: Modified by SlackBuilds.org, BUILD=6:
+# - remove empty NEWS from doc dir.
+# - fix the build shell script in the doc dir.
+# - use "set -e" instead of littering "|| exit 1" everywhere.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=meanwhile
VERSION=${VERSION:-1.0.2}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -61,6 +66,8 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -70,9 +77,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
# Patch to only include glib.h
patch -p1 < $CWD/fix_glib_includes.patch
@@ -87,20 +94,24 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var/lib \
--disable-static \
- --build=$ARCH-slackware-linux \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
rm -f $PKG/usr/lib*/*.la
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
mv $PKG/usr/share/doc/meanwhile-doc-$VERSION/* $PKG/usr/doc/$PRGNAM-$VERSION/
rm -rf $PKG/usr/share
-cp -a AUTHORS COPYING ChangeLog LICENSE NEWS README TODO \
+cp -a AUTHORS COPYING ChangeLog LICENSE README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# 20220419 bkw: this is a shell script, but it has a bogus blank line
+# before the shebang.
+sed -i '1d' $PKG/usr/doc/$PRGNAM-$VERSION/samples/build
+
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG